petsc-3.12.1 2019-10-22
Report Typos and Errors

# VecCreateNode

Creates a new parallel vector whose arrays are stored in shared memory

### Synopsis

    #include "petscvec.h"
    #include "petscvec.h"
    PetscErrorCode VecCreateNode(MPI_Comm comm,PetscInt n,PetscInt N,Vec *v)

Collective on Vec

### Input Parameter

| comm | - Communicator for the new Vec
| n | - local vector length (or PETSC_DECIDE to have calculated if N is given)
| N | - global vector length (or PETSC_DETERMINE to have calculated if n is given)

### Output Parameter

v -new vector

### See Also

VecCreate(), VecType(), VecCreateMPIWithArray(), VECNODE

### Level

advanced

### Location

src/vec/vec/impls/node/vecnode.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages